#
#
#  CS2KCDR Pre-process Configuration File
#
# Licensed Materials - Property of IBM
# 5724-W86, 5724-P69
#  Copyright IBM Corporation 2005, 2009. All Rights Reserved.
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.


our $logDir = "/opt/uba/scripts";
our $NNI = "9123456";
our $DEBUG = true;
our $MOSsla = 3.7;

our $maxFilesPerRun = 80; 
                        

# our $runInterval = 20;
our $runInterval = 30;


our $globalAggrInterval = 300;

###AMA variables
our $amapath = "/opt/uba/cs2k/cdr";
our $amadir = "/opt/uba/cs2k/manip/AMA_STORE";



### IPDR variables
our $ipdrpath = "/opt/uba/cs2k/ipdr";
our $ipdrdir = "/opt/uba/cs2k/manip/IPDR_STORE";



our $numberOfOutputs = 3;
our $outputDir = "/opt/uba/cs2k/manip";
#Amend the exception output directory
our $exceptDir = "/opt/datachannel/log";

our $storeExceptionDetail = [ '509', '510' ];


our $terminationCodeHash = {
   "000" => "NormalCallClearing",
   "001" => "Busy",
   "002" => "NoCircuit",
   "500" => "UndeterminedTreatment",
   "501" => "NoServiceCircuit",
   "502" => "PartialDial",
   "503" => "PermanentSignal",
   "504" => "InvalidAccountCode",
   "509" => "NetworkBlocking-HeavyTraffic",
   "510" => "NetworkBlocking-NormalTraffic",
   "511" => "EmergencyI",
   "512" => "EmergencyII",
   "513" => "UnauthorizedCAMACode",
   "514" => "SystemFailure",
   "515" => "CAMAQueueOverflow",
   "517" => "UnassignedNumber",
   "518" => "BlankDirectoryNumber",
   "519" => "BusyLine",
   "520" => "UnauthorizedOUTWATS",
   "521" => "TollDenied",
   "522" => "UnauthorizedINWATS",
   "523" => "StartSignalTimeOut",
   "524" => "NoCircuit",
   "529" => "RegularIntercept",
   "530" => "TroubleIntercept",
   "531" => "MachineIntercept",
   "532" => "PermanentSignalNoROH",
   "533" => "DeniedTermination",
   "534" => "NearEndCongestion",
   "535" => "FarEndCongestion",
   "536" => "OriginatingRevMultiCoded",
   "537" => "TollOverload",
   "538" => "ConfirmTone",
   "545" => "DisconnectTimeOut",
   "546" => "UnauthorizedPrecedence",
   "547" => "BlockedPrecedenceCall",
   "548" => "EmergencyIII",
   "549" => "EmergencyIV",
   "551" => "Pre-emptTone",
   "552" => "StorageOverflowReorder",
   "553" => "InvalidAuthorisationCode",
   "554" => "TemporarilyInvalid",
   "558" => "GeneralizedNoCircuit",
   "559" => "AttendantBusy",
   "560" => "MusicOnHold",
   "561" => "DenyOrigDataTerminal",
   "563" => "RestrictedDateTime",
   "564" => "PrematureTrunkOffering",
   "566" => "AnswerTimeOut",
   "567" => "NoMeteringZone",
   "568" => "FeatureNotAllowed",
   "569" => "UnregisteredMobile",
   "570" => "TrunkPermGround",
   "571" => "SignalTimeOutBOC",
   "572" => "SignalTimeOutIncomingINC",
   "573" => "EmergencyV",
   "574" => "EmergencyVI",
   "575" => "InvalidOICCode",
   "576" => "ANIAccountStatusNotAllowed",
   "577" => "CallForwardVerification",
   "578" => "FeatureActivationNACK",
   "579" => "CarrierAccountCodeError",
   "583" => "NoDialAccessCode",
   "584" => "DialAccessCode",
   "585" => "ANIDatabaseFailure",
   "586" => "MobilePageTimeOut",
   "587" => "AIODFailure",
   "588" => "FirstDigitNotZero",
   "589" => "CallingCardTimeOut",
   "590" => "CallingCardInvalid",
   "591" => "CallingCardNotAllowed",
   "592" => "FeatureDataError",
   "593" => "NoSoftwareResource",
   "594" => "CustomerGroupResourceOverflow",
   "595" => "VacantCountryCode",
   "596" => "LocalCallAreaBarred",
   "597" => "InvalidCityCode",
   "598" => "ConnectionNotPossible",
   "599" => "ChangedNumberIntercept",
   "600" => "DBSCommunicationFailure",
   "601" => "NCSIncomingExclusion",
   "602" => "NCSInvalidIDCode",
   "603" => "NCSTranslationFailure",
   "604" => "NotOnNetwork",
   "605" => "NCSUnexpectedError",
   "606" => "ATDTimeOut",
   "607" => "ANIFGBBlock",
   "608" => "InvalidCorridorCall",
   "609" => "ServiceCurrentlyUnavailable",
   "610" => "InvalidPINDigits",
   "611" => "NPARestricted",
   "612" => "IDDDProhibited",
   "613" => "CallNotAccepted",
   "614" => "ClearBackTone",
   "615" => "MFCTimeOutOrConfusion",
   "616" => "ANNFailure",
   "617" => "ChangedNumberAnnouncement",
   "618" => "ChangedNumberForwarded",
   "619" => "OperatorServicesVoiceResponse",
   "620" => "N00CallBlocked",
   "621" => "CallForwardSimultaneousOverflow",
   "622" => "ILRRestricted",
   "623" => "COSExceeded",
   "624" => "CarrierAccessCodeBlock",
   "625" => "ServiceIntercept",
   "628" => "NCS800Failure",
   "629" => "FeatureReorder",
   "630" => "CCS7ApplicationFailure",
   "631" => "DatafillError",
   "632" => "BlueBoxFraudDetected",
   "633" => "NoTerminalResponding",
   "634" => "CallRejected",
   "635" => "UniversalPublicAccessBlock",
   "636" => "StationOriginationRestrictionError",
   "637" => "CallNotAllowed",
   "641" => "CreditCardNumberInvalid",
   "644" => "UnpaidCreditCardNumber",
   "645" => "CallBackDestinationNumber",
   "646" => "NCS900DatabaseFailure",
   "647" => "NCS900NumberOutOfBand",
   "648" => "NCS900NotInService",
   "649" => "CarrierCallCompFail",
   "650" => "SCRJCallReject",
   "651" => "InvalidConferenceCode",
   "652" => "LECCallingCardValid",
   "653" => "LECCallingCardNotValid",
   "654" => "CUGServiceNotAllowed",
   "655" => "VPNServiceNotAllowed",
   "656" => "POTSServiceNotAllowed",
   "657" => "CACallReject",
   "666" => "ACRJCallReject",
   "667" => "FacilityNotImplemented",
   "668" => "ProtocolError",
   "669" => "InvalidMessage",
   "670" => "ServOptionNotImplemented",
   "675" => "ANIAccountRecentlyDisallowed",
   "678" => "LocalBusy",
   "679" => "TollBusy",
   "680" => "InvalidInfoElementContents",
   "681" => "NoBCAvailable",
   "682" => "NoRoutingAvailable",
   "690" => "MobileTrouble",
   "691" => "MobileWeakPower",
   "698" => "TriggerBlock",
   "699" => "ManufacturerESNFraud",
   "700" => "MobileInactive",
   "703" => "AINDisconnectCall",
   "704" => "AINFinalTreatment"
};



our $cdrConfig = {
   "40000" => {name => "Switch_example01", location => "Location1", zone => "example_company" },
   "50000" => {name => "Switch_example02", location => "Location2", zone => "example_company" },
   "60000" => {name => "Switch_example03", location => "Location3", zone => "example_company" },
   "70000" => {name => "Switch_example04", location => "Location4", zone => "example_company" },
   "80000" => {name => "Switch_example05", location => "Location5", zone => "example_company" },

};


our $trunkConfig = {
   "1001" =>  { name =>  "MTV_TRUNK_1" },
   "1002" =>  { name =>  "MTV_TRUNK_2" },
   "1003" =>  { name =>  "MTV_TRUNK_3" },
   "1004" =>  { name =>  "MTV_TRUNK_4" },
   "1005" =>  { name =>  "MTV_TRUNK_5" },
   "1006" =>  { name =>  "MTV_TRUNK_6" },
   "1007" =>  { name =>  "MTV_TRUNK_7" }
};


our $locationMap = {
"Example_SanJose1" => { extensionPattern => "^408555", extensionRange => [ "1200-1299" ]},
"Example_MountainView1" => { extensionPattern => "^650555", extensionRange => [ "1200-1299" ]},
"Example_SanFrancisco1" => { extensionPattern => "^415555", extensionRange => [ "1200-1299" ]},
};


